SETTUNIT(3)

NAME

SETTUNIT, GENPAT Package

SYNOPSYS

SETTUNIT ("time_unit");

PARAMETERS

time_unit
    : legal time_unit are fs, ps, ns, us and ms.

DESCRIPTION

Set the pattern time_unit. Default time_unit is ps.

EXAMPLE

SETTUNIT ("ps");
SETTUNIT ("fs");

WARNING

The SETTUNIT function is a new function of the 4.0 release. To generate a pattern file in an oldest pat format (3.5 release and oldest), you may use a virtual time_unit : SETTUNIT ("vu"). In this case, the pattern file is generated without dates (the dates specified with the AFFECT and INIT functions are used as pattern numbers).

SEE ALSO

genpat(1), pat(5)